Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class ProjectEMFStoreBranchDecorator

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.internal.ui.decorator.ProjectEMFStoreBranchDecorator

All Implemented Interfaces:
  org.eclipse.emf.emfstore.client.observer.ESShareObserver, org.eclipse.emf.emfstore.common.ESObserver, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelDecorator

    public class ProjectEMFStoreBranchDecorator

extends Object
implements org.eclipse.jface.viewers.ILabelDecorator, org.eclipse.emf.emfstore.client.observer.ESShareObserver

Author:
  jfaltermeier

Constructor Summary
`ProjectEMFStoreBranchDecorator()`

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`org.eclipse.swt.graphics.Image` | `decorateImage(org.eclipse.swt.graphics.Image image, Object element)`
`String` | `decorateText(String text, Object element)`
`void` | `dispose()`
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `shareDone(org.eclipse.emf.emfstore.client.ESLocalProject localProject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectEMFStoreBranchDecorator

    public ProjectEMFStoreBranchDecorator()

Method Detail

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### shareDone

    public void shareDone(org.eclipse.emf.emfstore.client.ESLocalProject localProject)

  Specified by:
    `shareDone` in interface `org.eclipse.emf.emfstore.client.observer.ESShareObserver`

### decorateImage

    public org.eclipse.swt.graphics.Image decorateImage(org.eclipse.swt.graphics.Image image,
                                                        Object element)

  Specified by:
    `decorateImage` in interface `org.eclipse.jface.viewers.ILabelDecorator`

### decorateText

    public String decorateText(String text,
                               Object element)

  Specified by:
    `decorateText` in interface `org.eclipse.jface.viewers.ILabelDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.